Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
tranvuminhhieu

[Giúp em viết cái lisp] chuyển text các cao độ trong Autocad sang file dạng *.txt

Các bài được khuyến nghị

mình vấp phải 1 vấn đề nữa, sau khi xuất cao độ sang tệp txt khi hs nhận tệp txt này thì cao độ mình vừa xuất qua nó ko nằm trong lô đất ban đầu nữa. nhưng mình thử nhận cái tệp txt của cậu cd2k44 thì vẫn ok . mình cũng đang tìm hiểu cái này thôi . mình thực hành trên file cad của cậu cad2k44

bạn xuất bằng lệnh gì vậy bạn,bạn thử thay đổi vị trí x,y trong khi nhân số liệu từ tệp txt xem

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chú Tuấn thử kiểm tra xem điểm insert của text xem sao nhé, anh sợ sau khi phá ra nó không còn chính xác vì đối tượng proxy này không bình thường đâu.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

bạn Toannguyen thử chạy với file của mình xem thế nào nhé

http://www.cadviet.c...ext_proxy_1.rar

làm theo như mình hướng dẫn ở trên(explode 1 lần), sau khi nó hiện bảng thông báo thì chương trình sẽ chạy ra file excel, bạn chọn tất cả trong file excel đó rồi dán vào notepat và dùng hs chạy thử xem sao nhé.

Chú Tuấn đã tìm ra được vấn đề chưa, anh cũng đang quan tâm đến thằng này nên có phát hiện gì mới cho anh em học hỏi với nhé!(anh nghĩ hs nó nhận các giá trị cách nhau bằng 1 dấu "tab" chứ không phải bằng dấu space chú Tuấn ah)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

bạn Toannguyen thử chạy với file của mình xem thế nào nhé

http://www.cadviet.c...ext_proxy_1.rar

làm theo như mình hướng dẫn ở trên(explode 1 lần), sau khi nó hiện bảng thông báo thì chương trình sẽ chạy ra file excel, bạn chọn tất cả trong file excel đó rồi dán vào notepat và dùng hs chạy thử xem sao nhé.

Chú Tuấn đã tìm ra được vấn đề chưa, anh cũng đang quan tâm đến thằng này nên có phát hiện gì mới cho anh em học hỏi với nhé!(anh nghĩ hs nó nhận các giá trị cách nhau bằng 1 dấu "tab" chứ không phải bằng dấu space chú Tuấn ah)

Cái vụ mà vị trí thì đúng là sẽ sai lệch đó anh.nhưng không đáng kể,chấp nhận được.Còn HS thì nó nh

ận được các giá trị cách nhau dấu phẩy,dấu tab và space

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Có 1 điều mình hơi thắc mắt vì cơ quan mình dùng phiên bản HS chạy trên cad2005 để san nền thì thấy có thể định nghĩa mặt phẳng tự nhiên bằng các định dạng: Text, Block và point vậy sao các bác lại phải từ tụi nó đọc viết lại thành file txt làm gì?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Em lấy cao độ của cad ra dang *.txt bằng Nova xong khi điền vào topo không đúng ngay lô đất cần san lấp nên không làm được mấy bước tiếp theo của san nền!! nhờ các Bác pro chỉ dum!! cảm ơn rất nhiều

Bác nào có cái lisp DC.LSP cho em với làm tới đoạn lấy cao độ từ tệp của topo để làm san nền không biết lấy từ đâu!!! nhờ mấy bác chỉ giúp!!thanks

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mấy Bác cho em hỏi tí em co file bản vẽ cao độ hiện trạng, em vào Nova chuyển bằng lệnh CDTEXT thành dạng *.txt, rồi em thoát vào TOPO nhập dữ liệu từ tệp TXT xuất ra cao độ toàn 0.00 và số thứ tự thì đúng, không đúng với cao độ hiện trạng.

Có phảiTOPO ko hiểu tệp này vậy em phải làm sao mong các Bác giúp đỡ em mới làm san lấp lần đầu xin lắng nghe các anh em hướng dẫn cảm ơn rất nhiều!!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Đây bác cd2k44 hướng dẫn chi tiết dùm em nha bác, mổi lần vào topo HS làm khó với cái CDTN này hoài, mới vào nghề xin làm phiền các bác, cảm ơn rất nhiều!!!

http://www.mediafire.com/file/yfjdoha8t9952cb/hoang-sanlap.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cái này hình như trong Cad có sẵn lệnh mà. "DATAEXTRACTION", lệnh tắt là DX hay sao ấy. xuất sang cả txt, cả xls mà.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Không biết bạn dùng cad bao nhiêu,mình thấy cad 2012 có chức năng này còn với cad 2007 chưa có lệnh này bạn ah

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào mọi người!

Minh co file cad mà cao độ dưới dạng Mtext sau:http://www.cadviet.com/upfiles/3/93967_san_lap__hoan_thanh_2.dwg, mình muốn chuyển các cao độ text trong bản vẽ này sang file txt có cao độ và tọa độ các điểm.

Mình đã dùng lisp mà cd2k44 post lên và dùng cả nova, Topo cũng không đc. Mong mọi người trả lời giúp.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào mọi người!

Minh co file cad mà cao độ dưới dạng Mtext sau:http://www.cadviet.c...oan_thanh_2.dwg, mình muốn chuyển các cao độ text trong bản vẽ này sang file txt có cao độ và tọa độ các điểm.

Mình đã dùng lisp mà cd2k44 post lên và dùng cả nova, Topo cũng không đc. Mong mọi người trả lời giúp.

Hề hề hề,

Lisp dạng này đã có rất nhiều trên diễn đàn. Bạn nói lisp của bạn cd2k44 post lên là lisp nào, và không được ở chỗ nào???

Bạn muốn cái kết quả của bạn nó cụ thể ra sao thì phải post mẫu lên mới làm được chứ.

Bạn nên chịu khó tìm kiếm trước khi yêu cầu bạn ạ. trên diễn đàn về vấn đề này không chỉ có lisp của bạn Cd2k44 mà rất nhiều, chả nhẽ không có cái nào gần đáp ứng được yêu cầu của bạn hay sao chứ.

Cụ thể mình cũng vừa mới sửa một lisp tương tự cho bạn dung.... gì gì đó. bạn hãy tìm và test thử coi có ưng không.

Bản vẽ bạn gửi toàn các text 5.50 chứ chả đúng với cao độ của điểm đặt text tí nào. Vậy bạn muốn cái gì?????

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hix, tụi khảo sát nó gửi cho mình file khảo sát tuyến http://www.cadviet.com/upfiles/3/93967_planalig1bfinal.dwg bây giờ mình muốn chuyển text trong bản cad thành file cao độ.txt để mình sử dụng trong Topo giống như file này http://www.cadviet.com/upfiles/3/93967_cao_do_thiet_ke.txt. Mọi người giúp mình với! thanks

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hoặc là bạn xóa hết các điểm thừa, để lại 1 2 điểm và file txt bạn muốn xuất ra ứng với 1 hoặc 2 điểm đó, hoặc topic sẽ đi vào quên lãng :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hoặc là bạn xóa hết các điểm thừa, để lại 1 2 điểm và file txt bạn muốn xuất ra ứng với 1 hoặc 2 điểm đó, hoặc topic sẽ đi vào quên lãng :)

Ketxu có thể nói rõ được không, file cad mình gửi nhẹ và ít điểm mà. Mình muốn hỏi có cách ji hay lisp nào để xuất các text trong cad sang file txt như trên được không!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ketxu có thể nói rõ được không, file cad mình gửi nhẹ và ít điểm mà. Mình muốn hỏi có cách ji hay lisp nào để xuất các text trong cad sang file txt như trên được không!

Khi post bài lên forum bạn nên giản lược file để cho nó nhẹ nhất nhưng vẫn nói lên đủ ý nghĩa. Ý của Ketxu là file cad bạn chỉ nên để lại vài ba điểm tượng trưng, cũng như file txt cũng thế (file txt của bạn lên tới mấy ngàn điểm lận).

Về lisp này thì viết được.

Đây: lisp xuất các điểm của phần mềm Softdesk (kiểu Block_Att) ra file txt.

;Doan Van Ha - CADViet.com - Ngay 09/5/2012
;Muc dich: Xuat cac diem Softdesk (Block_Att) ra file txt.
(defun C:HA( / ent entlst fn pw n x y z)
(vl-load-com)
(princ "\nChon cac Block Attributes can xuat ket qua ra file...")
(setq entlst (reverse (vl-remove-if 'listp (mapcar 'cadr (ssnamex (ssget (list (cons 0 "INSERT"))))))))
(setq fn (getfiled "Chon file de xuat ket qua" "" "txt" 1))
(setq pw (open fn "w"))
(foreach ent entlst
 (setq n (cdr (assoc "POINT" (GetAtts (vlax-ename->vla-object ent)))))
 (setq x (rtos (cadr (assoc 10 (entget ent))) 2 2))
 (setq y (rtos (caddr (assoc 10 (entget ent))) 2 2))
 (setq z (cdr (assoc "ELEV" (GetAtts (vlax-ename->vla-object ent)))))
 (princ (strcat n "  " x "  " y "  " z "\n") pw))
(close pw)
(princ))
;-----
(defun GetAtts (Obj) (mapcar '(lambda (Att) (cons (vla-get-TagString Att) (vla-get-TextString Att))) (vlax-invoke Obj 'GetAttributes)))

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Sau khi mình dùng lisp trên của Anh Hà về thi AP vao cad nó báo lỗi:

Command: ha

Chon 1 Block Attributes mau...

Chon cac Block Attributes can xuat ket qua ra file...

Select objects: Specify opposite corner: 218 found

Select objects: ; error: no function definition: VLAX-ENAME->VLA-OBJECT

Sau đó xuất ra file ko có dữ liệu, ah Hà thử kiểm tra xem líp lỗi ở đau giúp mình nhé! thanks

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Sau khi mình dùng lisp trên của Anh Hà về thi AP vao cad nó báo lỗi:

Command: ha

Chon 1 Block Attributes mau...

Chon cac Block Attributes can xuat ket qua ra file...

Select objects: Specify opposite corner: 218 found

Select objects: ; error: no function definition: VLAX-ENAME->VLA-OBJECT

Sau đó xuất ra file ko có dữ liệu, ah Hà thử kiểm tra xem líp lỗi ở đau giúp mình nhé! thanks

Srr bạn. Đã bổ sung ở link trên

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×